<?php
include('../common/parseargs.php');

$USAGE=" --name=<name> --description=<description> --forceFullBlockScan=<forceFullBlockScan> --recoveryPointLimit=<recoveryPointLimit> --diskSafeID=<diskSafeID>  --frequencyType=<frequencyType>  --frequencyValues=<frequencyValues> --enabled=<enabled> ";


include('../common/basicargcheck.php');

if ($argc < 2) { 
	usage($argv[0],$USAGE);
	exit(1);
}



#arguments
$NAME=$args_array['name'];
$DESCRIPTION=$args_array['description'];
$FORCEFULLBLOCKSCAN=$args_array['forceFullBlockScan'];
$DISKSAFEID=$args_array['diskSafeID'];
$FREQUENCYTYPE=$args_array['frequencyType'];
$FREQUENCYVALUES=$args_array['frequencyValues'];
$ENABLED=$args_array['enabled'];
$RECOVERYPOINTLIMIT=$args_array['recoveryPointLimit'];


if (strlen($NAME) < 1) {
        echo "ERROR: --name=<name> must be defined\n";
        usage($argv[0],$USAGE);
        exit(1);
}


if (strlen($DESCRIPTION) < 1) {
        echo "ERROR: --description=<description> must be defined\n";
        usage($argv[0],$USAGE);
        exit(1);
}

if (strlen($FORCEFULLBLOCKSCAN) < 1) {
        echo "ERROR: --forceFullBlockScan=<forceFullBlockScan> must be defined\n";
        usage($argv[0],$USAGE);
        exit(1);
}

if(strlen( $args_array['name'])>0)
{
	$NAME=$args_array['name'];
}


if(strlen( $args_array['description'])>0)
{
	$DESCRIPTION=$args_array['description'];
}

if(strlen( $args_array['forceFullBlockScan'])>0)
{
	$FORCEFULLBLOCKSCAN=$args_array['forceFullBlockScan'];
}

if(strlen( $args_array['recoveryPointLimit'])>0)
{
	$RECOVERYPOINTLIMIT=$args_array['recoveryPointLimit'];
}

if(strlen( $args_array['diskSafeID'])>0)
{
        $DISKSAFEID=$args_array['diskSafeID'];
}

if(strlen( $args_array['frequencyType'])>0)
{
        $FREQUENCYTYPE=$args_array['frequencyType'];
}

if(strlen( $args_array['frequencyValues'])>0)
{
        $FREQUENCYVALUES=$args_array['frequencyValues'];
}

if(strlen( $args_array['enabled'])>0)
{
        $ENABLED=$args_array['enabled'];
}

class ExclusionClass
{
	public $exclusionPattern;
	public $isRecursive;
}

$exclusionArray = array ( new ExclusionClass());
$exclusionArray[0]->exclusionPattern = "c:\Windows";
$exclusionArray[0]->isRecursive = true;

try{
	$client = new soapclient("https://$HOST:$PORT/Policy?wsdl",
		array('login'=>"$USER", 
		'password'=>"$PASS",
		'trace'=>1
		)
	);

	$client->createPolicyWithAdvanceExcludes(array('enabled'=>$ENABLED, 'name'=> $NAME, 'description'=>$DESCRIPTION, 'diskSafeID'=>$DISKSAFEID, 'frequencyType'=>$FREQUENCYTYPE, 'frequencyValues'=>$FREQUENCYVALUES, 'recoveryPointLimit'=>$RECOVERYPOINTLIMIT, 'forceFullBlockScan'=>$FORCEFULLBLOCKSCAN, 'excludePatternArray'=>$exclusionArray, 'recursive'=>$RECURSIVE)) ;		

	echo "Successfully executed createPolicyWithAdvanceExcludes\n";

} 
catch (SoapFault $exception)
{
	echo $exception;
}
?> 
